Subject: Guix System installer does not set up passwords and profile directories

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Sat, 20 Apr 2019 14:56:11 +0200

I installed Guix System from a USB flash drive from the current git
master.  The manual describes I should set up a password with passwd.
I think the installer should automate this, so users do not need to
know the passwd command.

After setting a password with `passwd florian` and logging in
as florian, I run `guix pull`.  This yields the following error:

pull: error: while creating directory `/var/guix/profiles/per-user/florian': Permission denied
hint: Please create the `/var/guix/profiles/per-user/florian' directory, with you
as the owner.

This persists after a reboot.

sudo mkdir /var/guix/profiles/per-user/florian
sudo chown florian:users /var/guix/profiles/per-user/florian

fixes the issue, but the installer should do this automatically.

Regards,
Florian